# Agenten Plattform
#
# (c) 2024 Magnus Bender
# 	Institute of Humanities-Centered Artificial Intelligence (CHAI)
# 	Universitaet Hamburg
# 	https://www.chai.uni-hamburg.de/~bender
#  
# source code released under the terms of GNU Public License Version 3
# https://www.gnu.org/licenses/gpl-3.0.txt

"""
	This represents the basic types used for representing extracted information from the data.
	The types are implemented using [pydantic](https://docs.pydantic.dev/).
	It provides validation, allow JSON serialization and works well with [FastAPI](https://fastapi.tiangolo.com/) which is used internally for the http request between the agents and the management.

"""

from enum import Enum

from typing import List, Any

from pydantic import BaseModel

class ExtractionSchema(BaseModel):
	"""
		This is the basic class used as superclass for all extracted information from data items.
	"""